package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EnderecoApanhe;

public class RenderEnderecoApanhe implements ListitemRenderer {

	private SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");

    public void render(Listitem lstm, Object o) throws Exception {
        EnderecoApanhe enderecoApanhe = (EnderecoApanhe) o;

        Listcell lc = new Listcell(enderecoApanhe.getEnderecoapanheId().toString());
        lc.setParent(lstm);

        if(enderecoApanhe.getVendaPacote() != null) {
        	lc = new Listcell(enderecoApanhe.getVendaPacote().getNumoperacion());
        	lc.setParent(lstm);
        	
    		lc = new Listcell(sdf.format(enderecoApanhe.getVendaPacote().getDatapacote()));
    		lc.setParent(lstm);
        } else {
        	lc = new Listcell("");
        	lc.setParent(lstm);
        	
        	lc = new Listcell("");
        	lc.setParent(lstm);
        }

        lc = new Listcell(enderecoApanhe.getLocalEnderecoApanhe() != null ? enderecoApanhe.getLocalEnderecoApanhe().toString() : "");
        lc.setParent(lstm);

        lc = new Listcell(enderecoApanhe.getDeschotel() != null ? enderecoApanhe.getDeschotel() : "");
        lc.setParent(lstm);

        lstm.setAttribute("data", enderecoApanhe);
    }
}
